Bug 447808 - QEMU unable to read qcow format (qemu 0.9.1)
QEMU unable to read qcow format (qemu 0.9.1)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 17:11 EDT by Kristian Duru
Modified: 2009-07-14 11:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kristian Duru 2008-05-21 17:11:30 EDT
Description of problem:
QEMU cannot read the qcow format in version 0.9.1.
Creating a virtual machine with the qcow format
and then trying to work against it results in:
qemu: could not open disk image TheImageName.img
(Use the qcow2 format to avoid this)


Version-Release number of selected component (if applicable):
qemu-0.9.1-5.fc9.i386


How reproducible:
Very


Steps to Reproduce:
1. qemu-img create -f qcow c.img 3G
2. qemu -cdrom /dev/cdrom -hda c.img -m 256 -boot d

Expected results:
qemu starting up the virtual machine as usual.


Actual results:
qemu: could not open disk image c.img


Additional info:
Quoted without permission (from #qemu@freenode):
[Wed May 21 2008] [22:24:16] <danpb_ltop> it could be the security patch we
added to validate disk size extents that broke qcow


A, hopefully useful, hex dump of a qcow image created 
with the version of QEMU which has this bug:
0000000 4651 fb49 0000 0100 0000 0000 0000 0000
0000010 0000 0000 0000 0000 0000 0000 00c0 0000
0000020 090c 0000 0000 0000 0000 0000 0000 3000
0000030 0000 0000 0000 0000 0000 0000 0000 0000
*
0003030
Comment 1 Steven Bakker 2008-05-28 09:13:50 EDT
Should this be really be set to severity/priority "low"? My F9 box is utterly
unable to run my qcow images from another host. I cannot imagine I'm the only one.
Comment 2 Steven Bakker 2008-05-28 11:32:47 EDT
Re:
  [Wed May 21 2008] [22:24:16] <danpb_ltop> it could be the security patch we
  added to validate disk size extents that broke qcow

I can confirm that rebuilding without the "block-rw-range-check" patch seems to
make the problem go away. Had a quick glance at the code, but couldn't really
figure out why the patch would break things.
Comment 3 Bug Zapper 2009-06-09 21:04:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:17:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.